import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:oowoo_core/oowoo_core.dart';

import '../user_settings_screen.dart';

class WidgetThemesSetting extends StatefulWidget {
  const WidgetThemesSetting({Key? key}) : super(key: key);

  @override
  _WidgetThemesSettingState createState() => _WidgetThemesSettingState();
}

class _WidgetThemesSettingState extends State<WidgetThemesSetting> {
  @override
  Widget build(BuildContext context) {
    return widgetSettingOptions.bottomSheetBuilder(
      child: Padding(
        padding: const EdgeInsets.symmetric(vertical: 32, horizontal: 20),
        child: Row(
          children: [
            Expanded(
              child: Center(
                child: GestureDetector(
                  onTap: () {
                    oowooHaptic();
                    appPrefs.themeModel = THEME_DARK;
                    Get.back();
                  },
                  child: Column(
                    mainAxisSize: MainAxisSize.min,
                    children: [
                      Image.asset(
                        assetpng('darkMode'),
                        height: 200,
                      ),
                      const SizedBox(
                        height: 12,
                      ),
                      Text(
                        'dark'.tr,
                        style:
                            robotoMedium.copyWith(color: hexColor('#454962')),
                      ),
                      const SizedBox(
                        height: 16,
                      ),
                      CircleAvatar(
                        radius: 5,
                        backgroundColor: appPrefs.themeModel == THEME_DARK
                            ? appColors.mainColor
                            : Colors.transparent,
                      )
                    ],
                  ),
                ),
              ),
            ),
            Expanded(
              child: Center(
                child: GestureDetector(
                  onTap: () {
                    oowooHaptic();
                    appPrefs.themeModel = THEME_LIGHT;
                    Get.back();
                  },
                  child: Column(
                    mainAxisSize: MainAxisSize.min,
                    children: [
                      Image.asset(
                        assetpng('lightMode'),
                        height: 200,
                      ),
                      const SizedBox(
                        height: 12,
                      ),
                      Text(
                        'light'.tr,
                        style: robotoMedium.copyWith(color: Colors.white),
                      ),
                      const SizedBox(
                        height: 16,
                      ),
                      CircleAvatar(
                        radius: 5,
                        backgroundColor: appPrefs.themeModel == THEME_LIGHT
                            ? appColors.mainColor
                            : Colors.transparent,
                      )
                    ],
                  ),
                ),
              ),
            ),
          ],
        ),
      ),
    );
  }
}
